summaryrefslogtreecommitdiffstats
path: root/source/l/pygobject
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pygobject')
-rwxr-xr-xsource/l/pygobject/pygobject.SlackBuild9
-rw-r--r--source/l/pygobject/pygobject.fix.no.introspection.crash.diff22
-rw-r--r--source/l/pygobject/pygobject.flags.diff49
3 files changed, 54 insertions, 26 deletions
diff --git a/source/l/pygobject/pygobject.SlackBuild b/source/l/pygobject/pygobject.SlackBuild
index 064ca3c1d..e39feacb0 100755
--- a/source/l/pygobject/pygobject.SlackBuild
+++ b/source/l/pygobject/pygobject.SlackBuild
@@ -24,7 +24,7 @@
PKGNAM=pygobject
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -63,8 +63,11 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
+
+zcat $CWD/pygobject.flags.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -72,8 +75,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/pygobject.fix.no.introspection.crash.diff.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/l/pygobject/pygobject.fix.no.introspection.crash.diff b/source/l/pygobject/pygobject.fix.no.introspection.crash.diff
deleted file mode 100644
index df59b4826..000000000
--- a/source/l/pygobject/pygobject.fix.no.introspection.crash.diff
+++ /dev/null
@@ -1,22 +0,0 @@
-From 97774cb149c5b03d5ef82a5af3f19e2ce4d79d0b Mon Sep 17 00:00:00 2001
-From: John (J5) Palmieri <johnp@redhat.com>
-Date: Mon, 04 Oct 2010 16:43:31 +0000
-Subject: return NULL instead of -1 which fixes crash when introspection is turned off
-
-* see https://bugzilla.gnome.org/show_bug.cgi?id=631158
----
-diff --git a/gi/pygi.h b/gi/pygi.h
-index 551bb6f..da71d28 100644
---- a/gi/pygi.h
-+++ b/gi/pygi.h
-@@ -155,7 +155,7 @@ static inline PyObject *
- pygi_get_property_value (PyGObject *instance,
- const gchar *attr_name)
- {
-- return -1;
-+ return NULL;
- }
-
- static inline gint
---
-cgit v0.8.3.1
diff --git a/source/l/pygobject/pygobject.flags.diff b/source/l/pygobject/pygobject.flags.diff
new file mode 100644
index 000000000..6a0e99e1f
--- /dev/null
+++ b/source/l/pygobject/pygobject.flags.diff
@@ -0,0 +1,49 @@
+From 42d01f060c5d764baa881d13c103d68897163a49 Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt@desrt.ca>
+Date: Mon, 12 Mar 2012 16:44:14 -0400
+Subject: [PATCH] gio-types.defs: change some enums to flags
+
+These flags types were originally incorrectly handled in glib as being
+enums. That bug was fixed, but they're still enums here, leading to
+warnings about the mismatch.
+
+Change them to flags.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=668522
+---
+ gio/gio-types.defs | 6 +++---
+ 1 files changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/gio/gio-types.defs b/gio/gio-types.defs
+index 331e0bc..7eee5c8 100644
+--- a/gio/gio-types.defs
++++ b/gio/gio-types.defs
+@@ -526,7 +526,7 @@
+ )
+ )
+
+-(define-enum MountMountFlags
++(define-flags MountMountFlags
+ (in-module "gio")
+ (c-name "GMountMountFlags")
+ (gtype-id "G_TYPE_MOUNT_MOUNT_FLAGS")
+@@ -545,7 +545,7 @@
+ )
+ )
+
+-(define-enum DriveStartFlags
++(define-flags DriveStartFlags
+ (in-module "gio")
+ (c-name "GDriveStartFlags")
+ (gtype-id "G_TYPE_DRIVE_START_FLAGS")
+@@ -770,7 +770,7 @@
+ )
+ )
+
+-(define-enum SocketMsgFlags
++(define-flags SocketMsgFlags
+ (in-module "gio")
+ (c-name "GSocketMsgFlags")
+ (gtype-id "G_TYPE_SOCKET_MSG_FLAGS")
+--
+1.7.9.1